Quantcast

Lirc 0.9.4pre: Debian (and Ubuntu) packaging update.

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Lirc 0.9.4pre: Debian (and Ubuntu) packaging update.

Alec Leamas
Hi all out there!


The debian packaging for lirc-9.9.4pre2 has been updated. The updated
source package (which can produce .deb lirc packages) is tested on
debian-jessie, debian-stretch, ubuntu-trusty and ubuntu-xenial. The
included lirc files are identical with the first release.

Detailed build instructions are available in the README.debian.md which
is shipped with the sources. As usual, you can find the tarballs at [1]


Cheers!

--alec


[1] https://sourceforge.net/projects/lirc/files/LIRC/0.9.4pre2


------------------------------------------------------------------------------
Find and fix application performance issues faster with Applications Manager
Applications Manager provides deep performance insights into multiple tiers of
your business applications. It resolves application problems quickly and
reduces your MTTR. Get your free trial!
https://ad.doubleclick.net/ddm/clk/302982198;130105516;z
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Lirc 0.9.4pre: Debian (and Ubuntu) packaging update.

Age Bosma
Hi Alec,

Many thanks for all your continuing work.

I tried the build from your PPA on Ubuntu Xenial, but it's conflicting with liblircclient0:amd64 0.9.0-0ubuntu6 from the default repositories. This package is installed when e.g. installing Totem or VLC (both not uncommon).

Following is the complete log of the install attempt:

--------------------------------------------------------------------------------------------------------
Selecting previously unselected package liblirc0.
(Reading database ... 187817 files and directories currently installed.)
Preparing to unpack .../liblirc0_0.9.4~alpha-1.1_amd64.deb ...
Unpacking liblirc0 (0.9.4~alpha-1.1) ...
dpkg: error processing archive /var/cache/apt/archives/liblirc0_0.9.4~alpha-1.1_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/liblirc_client.so.0', which is also in package liblircclient0:amd64 0.9.0-0ubuntu6
Selecting previously unselected package lirc.
Preparing to unpack .../lirc_0.9.4~alpha-1.1_amd64.deb ...
Unpacking lirc (0.9.4~alpha-1.1) ...
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/liblirc0_0.9.4~alpha-1.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
dpkg: dependency problems prevent configuration of lirc:
 lirc depends on liblirc0 (= 0.9.4~alpha-1.1); however:
  Package liblirc0 is not installed.

dpkg: error processing package lirc (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 lirc
--------------------------------------------------------------------------------------------------------

Why is your build not proving a liblircclient0 replacement/update?

Best regards,

Age Bosma


On 9 May 2016 at 10:17, Alec Leamas <[hidden email]> wrote:
Hi all out there!


The debian packaging for lirc-9.9.4pre2 has been updated. The updated
source package (which can produce .deb lirc packages) is tested on
debian-jessie, debian-stretch, ubuntu-trusty and ubuntu-xenial. The
included lirc files are identical with the first release.

Detailed build instructions are available in the README.debian.md which
is shipped with the sources. As usual, you can find the tarballs at [1]


Cheers!

--alec


[1] https://sourceforge.net/projects/lirc/files/LIRC/0.9.4pre2


------------------------------------------------------------------------------
Find and fix application performance issues faster with Applications Manager
Applications Manager provides deep performance insights into multiple tiers of
your business applications. It resolves application problems quickly and
reduces your MTTR. Get your free trial!
https://ad.doubleclick.net/ddm/clk/302982198;130105516;z


------------------------------------------------------------------------------
Mobile security can be enabling, not merely restricting. Employees who
bring their own devices (BYOD) to work are irked by the imposition of MDM
restrictions. Mobile Device Manager Plus allows you to control only the
apps on BYO-devices by containerizing them, leaving personal data untouched!
https://ad.doubleclick.net/ddm/clk/304595813;131938128;j
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Lirc 0.9.4pre: Debian (and Ubuntu) packaging update.

Alec Leamas


On 10/05/16 12:06, Age Bosma wrote:
> Hi Alec,
>
> Many thanks for all your continuing work.
>
> I tried the build from your PPA on Ubuntu Xenial, but it's conflicting
> with liblircclient0:amd64
Oops... Anyway, the PPA is severely out of date. You should download the
lirc-debian-src-0.9.4pre2.tar.gz from sourceforge [1] and build
according to instructions in that tarball.

I might  update the PPA later, time permitting...

Cheers!

--alec

[1] https://sourceforge.net/projects/lirc/files/LIRC/0.9.4pre2/

------------------------------------------------------------------------------
Mobile security can be enabling, not merely restricting. Employees who
bring their own devices (BYOD) to work are irked by the imposition of MDM
restrictions. Mobile Device Manager Plus allows you to control only the
apps on BYO-devices by containerizing them, leaving personal data untouched!
https://ad.doubleclick.net/ddm/clk/304595813;131938128;j
Loading...